Bug 24972 - Remove de-DE installer data
Summary: Remove de-DE installer data
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 24973 24871
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-25 12:14 UTC by Katrin Fischer
Modified: 2020-11-13 21:09 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 24972: Remove de-DE installer data (995.79 KB, patch)
2020-10-12 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24972: Remove de-DE installer data (996.03 KB, patch)
2020-10-16 01:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24972: Remove de-DE installer data (995.86 KB, patch)
2020-10-16 12:43 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24972: Remove de-DE installer data (995.97 KB, patch)
2020-10-16 18:24 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-03-25 12:14:35 UTC
+++ This bug was initially created as a clone of Bug #24897 +++

Now we can translate all installer data, then the de-DE directory is no longer needed.
Comment 1 Jonathan Druart 2020-10-12 09:53:05 UTC
Created attachment 111493 [details] [review]
Bug 24972: Remove de-DE installer data

With installer data in YAML format and it's translations,
there are no need for localized installer files.

This patch removes de-DE installer files.

1) Apply the patch
2) Translate to de-DE
   cd misc/translator
   ./translate update de-DE
   ./translate install de-DE
3) Do a clean install using de-DE,
   check no problems during install
4) Verify MARC21 frameworks, they must
   be translated
Comment 2 Katrin Fischer 2020-10-16 01:43:56 UTC
Created attachment 111825 [details] [review]
Bug 24972: Remove de-DE installer data

With installer data in YAML format and it's translations,
there are no need for localized installer files.

This patch removes de-DE installer files.

1) Apply the patch
2) Translate to de-DE
   cd misc/translator
   ./translate update de-DE
   ./translate install de-DE
3) Do a clean install using de-DE,
   check no problems during install
4) Verify MARC21 frameworks, they must
   be translated
Comment 3 Katrin Fischer 2020-10-16 01:44:45 UTC
I've begun translation of the new installer po file on Pootle, but it's quite a lot to translate and look up. Will the po files be added automatically or do we need to think about something else?
Comment 4 Martin Renvoize 2020-10-16 12:43:54 UTC
Created attachment 111870 [details] [review]
Bug 24972: Remove de-DE installer data

With installer data in YAML format and it's translations,
there are no need for localized installer files.

This patch removes de-DE installer files.

1) Apply the patch
2) Translate to de-DE
   cd misc/translator
   ./translate update de-DE
   ./translate install de-DE
3) Do a clean install using de-DE,
   check no problems during install
4) Verify MARC21 frameworks, they must
   be translated

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2020-10-16 12:44:22 UTC
All works as I understand it should, passes the test plan and no warning from tests.

Passing QA
Comment 6 Victor Grousset/tuxayo 2020-10-16 18:23:23 UTC
Whoops missed the messages of today. Anyway one additional signoff doesn't do harm. That's also the occasion to add the signoff line of Katrin that was forgotten.
Comment 7 Victor Grousset/tuxayo 2020-10-16 18:24:33 UTC
Created attachment 111931 [details] [review]
Bug 24972: Remove de-DE installer data

With installer data in YAML format and it's translations,
there are no need for localized installer files.

This patch removes de-DE installer files.

1) Apply the patch
2) Translate to de-DE
   cd misc/translator
   ./translate update de-DE
   ./translate install de-DE
3) Do a clean install using de-DE,
   check no problems during install
4) Verify MARC21 frameworks, they must
   be translated

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Katrin Fischer 2020-10-16 19:03:04 UTC
Thx Victor!
Comment 9 Jonathan Druart 2020-10-25 23:06:01 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 10 Lucas Gass 2020-11-13 21:09:35 UTC
missing dependencies for 20.05.x, no backport